一句代码禁用WordPress5.0升级后Gutenberg(古腾堡)编辑器

这几天大家最关心的应该是WordPress5.0在12月7号正式发布了,很多想尝鲜的同学都已经第一时间进行了升级。升级之后发现最大的改变就是用Gutenberg(古腾堡) 编辑器替换之前的经典Classic Editor编辑器,用“区块”方式替代WordPress使用多年的“短代码”功能,但并不影响之前添加的短代码。

因为就目前来说WordPress5.0中文版应该是遥遥无期的,现在升级的英文版只不过是利用了之前的语言包。而Gutenberg编辑器是一个全新的东西,之前没有语言包,所以升级后其他内容都是汉化正常的,唯独编辑器是全英文。对于Gutenberg(古腾堡) 编辑器大家都有不同的吐槽,一是第一次接触,另外就是全英文界面,很多人都还是不习惯。这时就想回来原来的经典的Classic Editor编辑器。

我们可以使用Classic Editor插件,直接在后台搜索安装即可。

其实原来的Classic Editor编辑器在wordpress系统中还是存在的,官方宣布到2021年才将会把Classic Editor编辑器从wordpress系统中彻底删除。那么这时我们只要一句代码即可以把这个编辑器找回来。

  1. add_filter(‘use_block_editor_for_post’, ‘__return_false’);

将上面的代码加到当前主题函数模板functions.php中,即可切换回之前的编辑器,根本不需要那些插件。

 

 收藏 (0) 打赏

您可以选择一种方式赞助本站

支付宝扫一扫赞助

微信钱包扫描赞助

未经允许不得转载:小林博客 www.vvso.cn小林博客 » 一句代码禁用WordPress5.0升级后Gutenberg(古腾堡)编辑器

分享到: 更多 (0)

评论 抢沙发

切换注册

登录

忘记密码 ?

切换登录

注册